%define mod_ldap_version 2.7.6
%define rc_ver rc1

Name: proftpd
Version: 1.2.8
Release: alt2.%rc_ver

Summary: ProFTPd -- Professional FTP Server
License: GPL
Group: System/Servers
Url: http://www.%name.org/

Source: ftp://ftp.%name.org/pub/%name/%name-%version%rc_ver.tar.bz2
Source1: %name.logrotate
Source2: %name.xinetd
Source3: %name.init
Source4: %name.pamd

Patch0: %name-conf.patch
Patch1: %name-man.patch
Patch3: %name-1.2.5rc1-ldap.patch
Patch4: %name-ldap-config.patch

# Automatically added by buildreq on Mon Jan 20 2003
BuildRequires: libncurses-devel libpam-devel libtinfo-devel libwrap-devel

Provides: ftpserver
Conflicts: wu-ftpd, ncftpd, beroftpd
PreReq: fileutils, anonftp
AutoReq: yes, noshell

%description
ProFTPd is an enhanced FTP server with a focus toward simplicity, security,
and ease of configuration.  It features a very Apache-like configuration
syntax, and a highly customizable server infrastructure, including support for
multiple 'virtual' FTP servers, anonymous FTP, and permission-based directory
visibility.

This package will setup ProFTPd for both inetd and standalone operations.

%prep
%setup -q -n %name-%version%rc_ver
%patch0 -p1
%patch1 -p1
%patch3 -p1
%patch4 -p1

find -type f -name \*.orig -print0 |xargs -r0 rm -f

%build
./configure %_target_platform --prefix=%prefix \
  --sysconfdir=%_sysconfdir \
  --localstatedir=/var/run \
  --enable-auth-pam \
  --with-modules=mod_auth_pam:mod_linuxprivs:mod_ratio:mod_readme:mod_wrap \
  --enable-autoshadow --enable-sendfile

%make_build

%install
myname=`id -un`
mygroup=`id -gn`

%makeinstall localstatedir=%buildroot/var/run rundir=%buildroot/var/run/%name \
	INSTALL_USER=$myname INSTALL_GROUP=$mygroup

%__install -pD -m640 %SOURCE4 %buildroot%_sysconfdir/pam.d/ftp
%__install -p -m644 -D sample-configurations/basic.conf %buildroot%_sysconfdir/%name.conf
%__install -p -m644 -D %SOURCE1 %buildroot%_sysconfdir/logrotate.d/%name
%__install -p -m644 -D %SOURCE2 %buildroot%_sysconfdir/xinetd.d/%name
%__install -p -m755 -D %SOURCE3 %buildroot%_initdir/%name
%__install -m755 contrib/xferstats.holger-preiss %buildroot%_sbindir

%__chmod 711 %buildroot%_sbindir/%name

%__ln_s -f %name %buildroot%_sbindir/in.%name
%__ln_s -f %name %buildroot%_sbindir/in.ftpd

echo >>%buildroot%_sysconfdir/ftpusers <<EOF
root
bin
daemon
adm
lp
sync
shutdown
halt
mail
news
uucp
operator
games
nobody
EOF

%__mkdir_p %buildroot/var/log/%name

%post
%post_service %name

%preun
%preun_service %name

%files
%doc README* ChangeLog INSTALL NEWS CREDITS doc/* contrib/UPGRADE.*
%doc sample-configurations/* contrib/ftpasswd contrib/ftpasswd.html
%attr(600,root,root) %config(noreplace) %_sysconfdir/%name.conf
%config(noreplace) %_sysconfdir/ftpusers
%config(noreplace) %_sysconfdir/pam.d/ftp
%config(noreplace) %_initdir/%name
%config(noreplace) %_sysconfdir/xinetd.d/%name
%config(noreplace) %_sysconfdir/logrotate.d/%name
%_sbindir/*
%_bindir/*
%_man1dir/ftpwho.*
%_man1dir/ftpcount.*
%_man5dir/xferlog.*
%_man8dir/%name.*
%_man8dir/ftpshut.*
%dir /var/run/%name
%dir /var/log/%name

%changelog
* Fri Feb 07 2003 Konstantin Timoshenko <kt@altlinux.ru> 1.2.8-alt2.rc1
- fix logrotate config.

* Mon Jan 20 2003 Konstantin Timoshenko <kt@altlinux.ru> 1.2.8-alt1.rc1
- 1.2.8rc1

* Mon Nov 11 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.2.7-alt2.rc2
- rebuild with libwrap

* Thu Oct 24 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.2.7-alt1.rc2
- 1.2.7rc2

* Tue Oct 22 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.2.7-alt1.rc1
- 1.2.7rc1

* Mon Sep 16 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.2.6release-alt1
- 1.2.6 release

* Mon Aug 19 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.2.6rc2-alt1
- 1.2.6rc2

* Fri May 31 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.2.5rc3-alt1
- 1.2.5rc3

* Tue May 14 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.2.5rc2-alt1
- 1.2.5rc2
- Re-enable sendfile.

* Mon May 13 2002 Konstantin Timoshenko <kt@altlinux.ru> 1.2.5rc1-alt2
- apply patch from CVS to fix bug with users being unable to overwrite files
  they have permission to (patch #7)
- remove --enable-sendfile from configure

* Thu Dec 20 2001 Konstantin Timoshenko <kt@altlinux.ru> 1.2.5rc1-alt1
- 1.2.5rc1.
- mod_wrap 1.2.3.
- fix pam configuration.

* Wed Dec 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.2.4-alt2
- Fixed glob problem.
- Updated pam configuration (needs checking).

* Mon Oct 22 2001 Konstantin Timoshenko <kt@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Fri Oct 19 2001 Konstantin Timoshenko <kt@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Wed Oct  3 2001 Kostya Timoshenko <kt@altlinux.ru> 1.2.2-alt3
- Enable AllowStoreRestart so FTP resume works.

* Fri Aug 31 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.2-alt2
- Added "rlimit_as = 16M" to xinetd config.
- Fixed %%post/%%preun scripts.

* Tue Aug 21 2001 Kostya Timoshenko <kt@altlinux.ru> 1.2.2-alt1
- 1.2.2.
- added LDAP support v2.7.6
- added LDAP configuration directives to proftpd.conf
- patched makefile to compile mod_ldap

* Tue Apr 24 2001 Kostya Timoshenko <kt@altlinux.ru> 1.2.2rc2-alt1
- 1.2.2rc2

* Sun Mar 25 2001 Kostya Timoshenko <kt@petr.kz> 1.2.2rc1-ipl1mdk
- 1.2.2rc1
- fix configs to use nobody.nobody not nobody.nogroup to run as nogroup
  seems to no longer exist

* Fri Mar 16 2001 Kostya Timoshenko <kt@petr.kz> 1.2.1-ipl3mdk
- fix workaround for ls bug

* Sun Mar 11 2001 Kostya Timoshenko <kt@petr.kz> 1.2.1-ipl2mdk
- Don't enable Anonymous login by default.
- URL change from .net -> .org
- remove chkconfig entry

* Mon Mar  5 2001 Kostya Timoshenko <kt@petr.kz> 1.2.1-ipl1mdk
- 1.2.1
- fix xinetd config

* Wed Feb 28 2001 Kostya Timoshenko <kt@petr.kz> 1.2.0-ipl1mdk
- 1.2.0 final version

* Mon Feb 12 2001 Kostya Timoshenko <kt@petr.kz> 1.2.0rc3-ipl1mdk
- 1.2.0rc3: security update

* Wed Jan 24 2001 Kostya Timoshenko <kt@petr.kz>
- fix PASV mode bug

* Tue Jan 23 2001 Kostya Timoshenko <kt@petr.kz>
- fix proftpd.init
- rebuild for RE

* Wed Nov 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0rc2-9mdk
- fix the anonymous login in proftpd configuration files.

* Wed Sep 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0rc2-7mdk
- really fix inetd problem. We remnove it from /etc/inetd.conf, and let it
  run instandalone mode which seems to work quite fine ...

* Fri Sep 22 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0rc2-6mdk
- really add the xinetd entry.

* Thu Sep 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0rc2-5mdk
- include the chkconfig entry, but don't run chkconfig by default.
- add an xinetd entry.
- re-add the inetd.conf entry ...

* Fri Sep 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0rc2-4mdk
- rebuild for the Big Move (tm) and hope that I don't break anything.
- remove inetd.conf entry (again, hoping that I don't break anything.)

* Tue Aug 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0rc2-3mdk
- use of _initrddir.

* Wed Aug 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0rc2-2mdk
- quick and ugly hack to fix wu-ftpd breakage when proftpd is uninstalled.
- change the description as the AUTH patch is no longer here.

* Sat Jul 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0rc2-1mdk
- new version
- remove the packager tag (vincentscks)

* Wed Jul 19 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.2.0rc1-3mdk
- rebuild for directory changes

* Tue Jul 18 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.2.0rc1-2mdk
- add directory /var/log/proftpd
- add home directory /home/ftp
- add conflicts with anonftp
- fix so can install as nonroot
- add --enable-autoshadow to configure

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.2.0rc1-1mdk
- 1.2.0rc1
- macroization
- remove directory /home/ftp since we don't need it

* Fri Jun 30 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2.0pre10-2mdk
- merge with .spec file from Geoffrey Lee <snailtalk@linux-mandrake.com>:
- add logrotate entry
- add symlinks to in.proftpd and in.ftpd
- on uninstall, run /etc/rc.d/init.d/proftpd stop prior to uninstall
- compile with mod_pam support
- add Conflicts: wu-ftpd, ncftpd, beroftpd

* Fri May  5 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2.0pre10-1mdk
- build for Mandrake
- bzip sources
- bzip manpages
- remove multi-package creation.  one package does all... updates
  /etc/inetd.conf but defaults to standalone server type

* Thu Oct 3 1999 O.Elliyasa <osman@Cable.EU.org>
- Multi package creation.
  Created core, standalone, inetd (&doc) package creations.
  Added startup script for init.d
  Need to make the "standalone & inetd" packages being created as "noarch"
- Added URL.
- Added prefix to make the package relocatable.

* Wed Sep 8 1999 O.Elliyasa <osman@Cable.EU.org>
- Corrected inetd.conf line addition/change logic.

* Sat Jul 24 1999 MacGyver <macgyver@tos.net>
- Initial import of spec.
